<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: src/InitFunc.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">InitFunc.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_init_func_8h_source.html">InitFunc.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_g_e_grammar_s_i_8h_source.html">GEGrammarSI.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for InitFunc.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_init_func_8cpp__incl.png" border="0" usemap="#src_2_init_func_8cpp" alt=""/></div>
<!-- MAP 0 -->
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a589c1396030e870fbde97e1e38c72b48"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_init_func_8cpp.html#a589c1396030e870fbde97e1e38c72b48">_INITFUNC_CPP_</a></td></tr>
<tr class="separator:a589c1396030e870fbde97e1e38c72b48"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a8bd0f2b287080d426f6e5748ded139e1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_init_func_8cpp.html#a8bd0f2b287080d426f6e5748ded139e1">initFuncRandom</a> (GAGenome &amp;g)</td></tr>
<tr class="separator:a8bd0f2b287080d426f6e5748ded139e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d1f36c86e3b665faa44cce38863c2df"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_init_func_8cpp.html#a0d1f36c86e3b665faa44cce38863c2df">initFuncSI</a> (GAGenome &amp;g)</td></tr>
<tr class="separator:a0d1f36c86e3b665faa44cce38863c2df"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a99cf16126ed203a1c242018b7cddcd5e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_g_e_grammar_s_i.html">GEGrammarSI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_init_func_8cpp.html#a99cf16126ed203a1c242018b7cddcd5e">mapper</a></td></tr>
<tr class="separator:a99cf16126ed203a1c242018b7cddcd5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd0ca05595a8887167baae4277b9d9f3"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_init_func_8cpp.html#acd0ca05595a8887167baae4277b9d9f3">minSize</a></td></tr>
<tr class="separator:acd0ca05595a8887167baae4277b9d9f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29ff2b09e8e184170f61316769b5404a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_init_func_8cpp.html#a29ff2b09e8e184170f61316769b5404a">maxSize</a></td></tr>
<tr class="separator:a29ff2b09e8e184170f61316769b5404a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a589c1396030e870fbde97e1e38c72b48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a589c1396030e870fbde97e1e38c72b48">&#9670;&nbsp;</a></span>_INITFUNC_CPP_</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define _INITFUNC_CPP_</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a8bd0f2b287080d426f6e5748ded139e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bd0f2b287080d426f6e5748ded139e1">&#9670;&nbsp;</a></span>initFuncRandom()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void initFuncRandom </td>
          <td>(</td>
          <td class="paramtype">GAGenome &amp;&#160;</td>
          <td class="paramname"><em>g</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0d1f36c86e3b665faa44cce38863c2df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d1f36c86e3b665faa44cce38863c2df">&#9670;&nbsp;</a></span>initFuncSI()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void initFuncSI </td>
          <td>(</td>
          <td class="paramtype">GAGenome &amp;&#160;</td>
          <td class="paramname"><em>g</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a99cf16126ed203a1c242018b7cddcd5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99cf16126ed203a1c242018b7cddcd5e">&#9670;&nbsp;</a></span>mapper</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_g_e_grammar_s_i.html">GEGrammarSI</a> mapper</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a29ff2b09e8e184170f61316769b5404a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29ff2b09e8e184170f61316769b5404a">&#9670;&nbsp;</a></span>maxSize</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int maxSize</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acd0ca05595a8887167baae4277b9d9f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd0ca05595a8887167baae4277b9d9f3">&#9670;&nbsp;</a></span>minSize</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int minSize</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
